## percona-xtradb-cluster-5.6 5.6.48-28.40

=== debian/changelog ===
percona-xtradb-cluster-5.6 (5.6.48-28.40-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.6.48-rel88.0-
    28.40

 -- Percona Jenkins <jenkins@os-jessie-32-template>  Wed, 03 Jun 2020 04:24:19 -0400

percona-xtradb-cluster-5.6 (5.6.48-rel88.0) unstable; urgency=low

  * Packaging updates for PXC 5.6.

 -- Raghavendra Prabhu <raghavendra.prabhu@percona.com>  Sun, 15 Feb 2015 08:28:27 +0200
