=== debian/control ===
Source: percona-xtradb-cluster-5.6
Section: database
Priority: extra
Maintainer: Percona Server Development Team <mysql-dev@percona.com>
Uploaders: George Lorch <george.lorch@percona.com>,
           Tomislav Plavcic <tomislav.plavcic@percona.com>
           Raghavendra Prabhu <raghavendra.prabhu@percona.com>
Build-Depends: libtool (>= 1.4.2-7),
               procps,
               debhelper (>= 7.0.50~),
               file (>= 3.28),
               libncurses5-dev (>= 5.0-6),
               perl (>= 5.6.0),
               libwrap0-dev (>= 7.6-8.3),
               zlib1g-dev (>= 1:1.1.3-5),
               libreadline-dev,
               psmisc,
               po-debconf,
               chrpath,
               ghostscript,
               gawk,
               bison,
               lsb-release,
               cmake,
               gcc (>= 4.4),
               g++ (>= 4.4),
               libaio-dev[linux-any],
               libpam-dev,
               libssl-dev,
               libnuma-dev
Standards-Version: 7.0.0
Homepage: http://www.percona.com/software/percona-xtradb-cluster/
Vcs-Git: https://github.com/percona/percona-xtradb-cluster

Package: libperconaserverclient18.1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libmysqlclient18.1
Replaces: libpercona-server-client16, libperconaserverclient18
Description: Percona XtraDB Cluster database client library
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the client library.

Package: libperconaserverclient18.1-dev
Architecture: any
Section: libdevel
Depends: libperconaserverclient18.1 (= ${binary:Version}),
         zlib1g-dev, ${misc:Depends}
Breaks: libperconaserverclient18-dev,
        libperconaserverclient16-dev,
        libperconaserverclient15-dev,
        libperconaserverclient14-dev,
        libperconaserverclient12-dev,
        libperconaserverclient10-dev,
        libmysqlclient-dev,
        libmysqlclient18-dev,
        libmariadbclient-dev
Replaces: libperconaserverclient18-dev,
          libperconaserverclient16-dev,
          libperconaserverclient15-dev,
          libperconaserverclient14-dev,
          libperconaserverclient12-dev,
          libperconaserverclient10-dev,
          libpercona-xtradb-client-dev,
          libmariadbclient-dev
Provides: libmysqlclient-dev
Description: Percona XtraDB Cluster database development files
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes development libraries and header files.

Package: percona-xtradb-cluster-common-5.6
Section: database
Architecture: any
Depends: ${misc:Depends}
Provides: mysql-common
Description: Percona XtraDB Cluster database common files (e.g. /etc/mysql/my.cnf)
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: percona-xtradb-cluster-client-5.6
Architecture: any
Depends: debianutils (>=1.6),
         libdbi-perl,
         percona-xtradb-cluster-common-5.6 (>= ${source:Version}), 
         ${shlibs:Depends},
         ${misc:Depends}
Provides: mysql-client,
          virtual-mysql-client,
          virtual-mysql-client-core
Breaks: mysql-client-5.0,
        mysql-client-core-5.1,
        mysql-client-core-5.5,
        mysql-client-5.1,
        mysql-client-5.5,
        mysql-client-5.6,
        percona-xtradb-client-5.0,
        percona-server-client-5.1,
        percona-server-client-5.5,
        percona-xtradb-cluster-client-5.5,
        mariadb-client,
        mariadb-client-core-5.5,
        mariadb-client-5.5,
        virtual-mysql-client,
        virtual-mysql-client-core
Replaces: mysql-client-5.0,
           mysql-client-core-5.1,
           mysql-client-core-5.5,
           mysql-client-5.1,
           mysql-client-5.5,
           mysql-client-5.6,
           percona-xtradb-client-5.0,
           percona-server-client-5.1,
           percona-server-client-5.5,
           percona-xtradb-cluster-client-5.5,
           mariadb-client,
           mariadb-client-core-5.5,
           mariadb-client-5.5,
           virtual-mysql-client,
           virtual-mysql-client-core
Description: Percona XtraDB Cluster database client binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the client binaries.

Package: percona-xtradb-cluster-server-5.6
Architecture: any
Suggests: tinyca, netcat-openbsd, pv, qpress
Pre-Depends: percona-xtradb-cluster-common-5.6 (>= ${source:Version}),
             adduser (>= 3.4.0),
             debconf
Depends: percona-xtradb-cluster-client-5.6 (>= ${source:Version}),
         libdbi-perl,
         libdbd-mysql-perl,
         perl (>= 5.6),
         ${shlibs:Depends},
         ${misc:Depends},
         psmisc,
         passwd,
         lsb-base (>= 3.0-10),
         percona-xtradb-cluster-galera-3 (= 3.40-1),
         percona-xtrabackup (>= 2.3.10),
         socat,
         lsof,
         rsync,
         iproute
Provides: mysql-server,
          virtual-mysql-server,
          virtual-mysql-server-core
Breaks: mysql-server-5.0,
        mysql-server-5.1,
        mysql-server-5.5,
        mysql-server-5.6,
        mysql-server-core-5.1,
        mysql-server-core-5.5,
        percona-xtradb-server-5.0,
        percona-server-server-5.1,
        percona-server-server-5.5,
        percona-xtradb-cluster-server-5.5,
        mariadb-server,
        mariadb-server-core-5.5,
        mariadb-server-5.5,
        virtual-mysql-server,
        virtual-mysql-server-core
Replaces: mysql-server-5.0,
          mysql-server-5.1,
          mysql-server-5.5,
          mysql-server-5.6,
          mysql-server-core-5.1,
          mysql-server-core-5.5,
          percona-xtradb-server-5.0,
          percona-server-server-5.1,
          percona-server-server-5.5,
          percona-xtradb-cluster-server-5.5,
          mariadb-server,
          mariadb-server-core-5.5,
          mariadb-server-5.5,
          virtual-mysql-server,
          virtual-mysql-server-core
Description: Percona XtraDB Cluster database server binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.


Package: percona-xtradb-cluster-server-debug-5.6
Architecture: any
Suggests: tinyca, netcat-openbsd, pv, qpress
Pre-Depends: percona-xtradb-cluster-common-5.6 (>= ${source:Version}),
             adduser (>= 3.4.0),
             debconf
Depends: percona-xtradb-cluster-client-5.6 (>= ${source:Version}),
         libdbi-perl,
         libdbd-mysql-perl,
         perl (>= 5.6),
         ${shlibs:Depends},
         ${misc:Depends},
         psmisc,
         passwd,
         lsb-base (>= 3.0-10),
         percona-xtradb-cluster-galera-3 (= 3.40-1),
         percona-xtrabackup (>= 2.3.10),
         socat,
         lsof,
         rsync,
         iproute
Provides: mysql-server-debug
Description: Percona XtraDB Cluster database server UNIV_DEBUG binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.

Package: percona-xtradb-cluster-56
Section: database
Architecture: any
Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.40-1), ${misc:Depends}
Description: Percona XtraDB Cluster with Galera
 This is a meta-package providing PXC56 server, client and galera-3.

Package: percona-xtradb-cluster-full-56
Section: database
Architecture: any
Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.40-1), percona-xtradb-cluster-test-5.6 (>= ${source:Version}), percona-xtradb-cluster-5.6-dbg (>= ${binary:Version}),  percona-xtradb-cluster-garbd-3 (= 3.40-1), percona-xtradb-cluster-galera3-dbg (= 3.40-1), percona-xtradb-cluster-server-debug-5.6, ${misc:Depends}
Description: Percona XtraDB Cluster with Galera
 This is a meta-package providing PXC56 server, client, galera-3, test and debug packages.

Package: percona-xtradb-cluster-test-5.6
Architecture: any
Depends: percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-server-5.6 (>= ${source:Version})
Description: Percona XtraDB Cluster database test suite
 This package includes the Percona XtraDB Cluster test framework that provides 
 a means for verifying that Percona XtraDB Cluster and its client programs 
 operate according to expectations.

Package: percona-xtradb-cluster-5.6-dbg
Architecture: any
Section: debug
Depends: percona-xtradb-cluster-server-5.6 (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona XtraDB Cluster
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package contains the debugging symbols for the Percona XtraDB Cluster binaries.

Package: percona-xtradb-cluster-source-5.6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Percona XtraDB Cluster 5.6 source
 This package includes the source code to Percona XtraDB Cluster as configured before building.
