## percona-xtradb-cluster-5.6 5.6.49-28.42

=== debian/changelog ===
percona-xtradb-cluster-5.6 (5.6.49-28.42-3) unstable; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.6.49-rel89.0-
    28.42

 -- Percona Jenkins <jenkins@os-jessie-32-template>  Tue, 20 Oct 2020 03:18:16 -0400

percona-xtradb-cluster-5.6 (5.6.49-rel89.0) unstable; urgency=low

  * Packaging updates for PXC 5.6.

 -- Raghavendra Prabhu <raghavendra.prabhu@percona.com>  Sun, 15 Feb 2015 08:28:27 +0200
