=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,9 @@
 
 DISTRIBUTION = $(shell lsb_release -i -s)
 
-wsrep_version="28.40"
-percona_server_version="88.0"
-revision="6faf3b7"
+wsrep_version="28.42"
+percona_server_version="89.0"
+revision="95163b7"
 compilation_comment_debug="Percona XtraDB Cluster - Debug (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
 compilation_comment_release="Percona XtraDB Cluster (GPL), Release rel$(percona_server_version), Revision $(revision), WSREP version $(wsrep_version)"
 server_suffix="-56"
