## percona-xtradb-cluster-5.6 5.6.50-28.44

=== debian/changelog ===
percona-xtradb-cluster-5.6 (5.6.50-28.44-1) unstable; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.6.50-rel90.0-
    28.44

 -- Percona Jenkins <raghavendra.prabhu@percona.com>  Wed, 23 Dec 2020 06:06:24 +0000

percona-xtradb-cluster-5.6 (5.6.50-rel90.0) unstable; urgency=low

  * Packaging updates for PXC 5.6.

 -- Raghavendra Prabhu <raghavendra.prabhu@percona.com>  Sun, 15 Feb 2015 08:28:27 +0200
