=== debian/control ===
--- 
+++ 
@@ -159,7 +159,7 @@
          passwd,
          lsb-base (>= 3.0-10),
          openssl,
-         percona-xtradb-cluster-galera-3 (= 3.42-3),
+         percona-xtradb-cluster-galera-3 (= 3.44-1),
          percona-xtrabackup (>= 2.3.10),
          socat,
          lsof,
@@ -224,7 +224,7 @@
          passwd,
          lsb-base (>= 3.0-10),
          openssl,
-         percona-xtradb-cluster-galera-3 (= 3.42-3),
+         percona-xtradb-cluster-galera-3 (= 3.44-1),
          percona-xtrabackup (>= 2.3.10),
          socat,
          lsof,
@@ -243,14 +243,14 @@
 Package: percona-xtradb-cluster-56
 Section: database
 Architecture: any
-Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.42-3), ${misc:Depends}
+Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.44-1), ${misc:Depends}
 Description: Percona XtraDB Cluster with Galera
  This is a meta-package providing PXC56 server, client and galera-3.
 
 Package: percona-xtradb-cluster-full-56
 Section: database
 Architecture: any
-Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.42-3), percona-xtradb-cluster-test-5.6 (>= ${source:Version}), percona-xtradb-cluster-5.6-dbg (>= ${binary:Version}),  percona-xtradb-cluster-garbd-3 (= 3.42-3), percona-xtradb-cluster-galera3-dbg (= 3.42-3), percona-xtradb-cluster-server-debug-5.6, ${misc:Depends}
+Depends: percona-xtradb-cluster-server-5.6 (>= ${source:Version}), percona-xtradb-cluster-client-5.6 (>= ${source:Version}), percona-xtradb-cluster-galera-3 (= 3.44-1), percona-xtradb-cluster-test-5.6 (>= ${source:Version}), percona-xtradb-cluster-5.6-dbg (>= ${binary:Version}),  percona-xtradb-cluster-garbd-3 (= 3.44-1), percona-xtradb-cluster-galera3-dbg (= 3.44-1), percona-xtradb-cluster-server-debug-5.6, ${misc:Depends}
 Description: Percona XtraDB Cluster with Galera
  This is a meta-package providing PXC56 server, client, galera-3, test and debug packages.
